## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate csv

Name:           rust-csv
Version:        1.3.0
Release:        %autorelease
Summary:        Fast CSV parsing with support for serde

# Upstream license specification: Unlicense/MIT
License:        Unlicense OR MIT
URL:            https://crates.io/crates/csv
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fast CSV parsing with support for serde.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/UNLICENSE
%doc %{crate_instdir}/ISSUE_TEMPLATE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-1
- Update to version 1.3.0; Fixes RHBZ#2241925

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 02 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.2-1
- Update to version 1.2.2; Fixes RHBZ#2211490

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#2175917

* Tue Feb 21 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2169599

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 23 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.6-1
- Update to version 1.1.6.
- Fixes RHBZ#1936193

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.5-1
- Update to version 1.1.5.
- Fixes RHBZ#1902298

* Wed Nov 04 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.4-1
- Update to version 1.1.4.
- Fixes RHBZ#1894191

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 23 2020 Josh Stone <jistone@redhat.com> - 1.1.3-1
- Update to 1.1.3

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 1.1.2-1
- Update to 1.1.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 11:35:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1

* Thu Jun 27 07:25:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Thu Jun 20 16:47:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.7-4
- Regenerate

* Sun Jun 09 15:12:40 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.7-3
- Regenerate

* Sun May 12 08:37:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.7-2
- Update serde_bytes to 0.11

* Mon Apr 15 2019 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Fri Apr 05 2019 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-3
- Fix summary

* Fri Nov 09 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-2
- Adapt to new packaging

* Tue Sep 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Tue Sep 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-2
- Exclude unneeded files in other way

* Thu Aug 30 2018 Josh Stone <jistone@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package

